package com.yifu.cloud.plus.v1.check.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yifu.cloud.plus.v1.check.entity.TCanCheck;
import com.yifu.cloud.plus.v1.check.mapper.TCanCheckMapper;
import com.yifu.cloud.plus.v1.check.service.TCanCheckService;
import org.springframework.stereotype.Service;

/**
 * 身份证实名校验自留库
 *
 * @author hgw
 * @date 2022-05-11 16:12:18
 */
@Service("tCanCheckService")
public class TCanCheckServiceImpl extends ServiceImpl<TCanCheckMapper, TCanCheck> implements TCanCheckService {

	@Override
	public Boolean getCanCheck() {
		TCanCheck tCanCheck= baseMapper.selectById(1);
		boolean canCheck = false;
		if (tCanCheck != null && tCanCheck.getCanCheck() == 1) {
			canCheck  = true;
		}
		return canCheck;
	}
}
